CLANG-TIDY(1)

NAME
clang-tidy - manual page for clang-tidy 3.5

DESCRIPTION
USAGE: clang-tidy [options] <source0> [... <sourceN>]

OPTIONS:

General options:

-help - Display available options (-help-hidden for more)

-help-list - Display list of available options (-help-list-hidden for more)

-version - Display the version of this program

clang-tidy options:

-analyze-temporary-dtors - Enable temporary destructor-aware analysis in
    clang-analyzer- checks.

-checks=<string>         - Comma-separated list of globs with optional '-'
    prefix. Globs are processed in order of appearance in the list. Globs without '-' prefix add checks with matching names to the set, globs with the '-' prefix remove checks with matching names from the set of enabled checks.

-fix - Fix detected errors if possible.

-header-filter=<string>  - Regular expression matching the names of the
    headers to output diagnostics from. Diagnostics from the main file of each translation unit are always displayed. Can be used together with -line-filter.

-line-filter=<string>    - List of files with line ranges to filter the
    warnings. Can be used together with -header-filter. The format of the list is a JSON array of objects:

[   {"name":"file1.cpp","lines":[[1,3],[5,7]]}, {"name":"file2.h"}

    ]

-list-checks             - List all enabled checks and exit. Use with
    -checks='*' to list all available checks.

-p=<string> - Build path

-p <build-path> is used to read a compile command database.

    For example, it can be a CMake build directory in which a file named compile_commands.json exists (use -DCMAKE_EXPORT_COMPILE_COMMANDS=ON CMake option to get this output). When no build path is specified, a search for compile_commands.json will be attempted through all parent paths of the first input file . See: http://clang.llvm.org/docs/HowToSetupToolingForLLVM.html for an example of setting up Clang Tooling on a source tree.

<source0> ... specify the paths of source files. These paths are

    looked up in the compile command database. If the path of a file is absolute, it needs to point into CMake's source tree. If the path is relative, the current working directory needs to be in the CMake source tree and the file must be in a subdirectory of the current working directory. "./" prefixes in the relative files will be automatically removed, but the rest of a relative path must be a suffix of a path in the compile command database.

SEE ALSO
The full documentation for clang-tidy is maintained as a Texinfo manual. If the info and clang-tidy programs are properly installed at your site, the command

    info clang-tidy

should give you access to the complete manual.